View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
15686Bug reportsData Entry (non public)public2020-06-17 10:39
Reporterwalibali Assigned Tocdorin  
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version3.21.3 
Fixed in Version3.22.20 
Summary15686: Empty Sub Questions Tab
Description

After importing the example survey "ls205_cascading_array_filter.lss" I tried to have a look at the related "sub questions". The relevant tab, however, always appear empty. Neither are sub questions shown nor are there any buttons etc. that would allow to add/manipulate sub questions.

The same problem occurs if I create a Survey from scratch and with the Answer Option Tab as well.

Additional Information

Windows Server Standard 2019
Apache 2.4.41
PHP 7.4.1
MySQL 8.0.18.0

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)Version 3.21.3+191219
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMySQL 8.0.18.0
Server OS (if known)
Webserver software & version (if known)
PHP VersionPHP 7.4.1

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

walibali

walibali

2019-12-21 01:28

reporter  

DenisChenu

DenisChenu

2019-12-21 12:37

developer   ~55110

PHP 7.4.1 related issue in my opinion …

cdorin

cdorin

2020-01-15 17:59

manager   ~55310

maybe @ollehar can take a look at it?

DenisChenu

DenisChenu

2020-01-15 18:29

developer   ~55311

manual.limesurvey.org/Debug_mode

ollehar

ollehar

2020-01-16 12:20

administrator   ~55313

LS3 is not yet PHP 7.4.1 compatible. If you really want to use PHP 7.4, you'd have to checkout a specific branch from github.

ollehar

ollehar

2020-01-16 13:22

administrator   ~55317

And yes, this issue is known and fixed in the PHP 7.4 branch.

Issue History

Date Modified Username Field Change
2019-12-21 01:28 walibali New Issue
2019-12-21 01:28 walibali File Added: Missing subquestion elemetns.jpg
2019-12-21 12:37 DenisChenu Note Added: 55110
2019-12-23 09:28 cdorin Assigned To => cdorin
2019-12-23 09:28 cdorin Status new => assigned
2020-01-15 17:59 cdorin Note Added: 55310
2020-01-15 18:29 DenisChenu Note Added: 55311
2020-01-16 12:20 ollehar Note Added: 55313
2020-01-16 13:22 ollehar Note Added: 55317
2020-06-17 10:38 c_schmitz Status assigned => resolved
2020-06-17 10:38 c_schmitz Resolution open => fixed
2020-06-17 10:38 c_schmitz Fixed in Version => 3.22.20
2020-06-17 10:39 c_schmitz Status resolved => closed